#include "stdafx.h"
#include "PathfindingDemo.h"
#include "Windows/MainWnd.h"
#include "resource.h"

int APIENTRY _tWinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
    static CComModule _Module;
    _pAtlModule = &_Module;

    CMainWnd wnd;

    // Create the main window
    HRESULT hr = wnd.Create( SW_SHOWMAXIMIZED );
    if(FAILED(hr))
    {
        MessageBox( NULL, ErrMsg(hr), NULL, MB_OK | MB_ICONERROR );
        return -1;
    }

    HACCEL haccel = LoadAccelerators( _AtlBaseModule.GetModuleInstance(), MAKEINTRESOURCE( IDC_PATHFINDINGDEMO ) );
    MSG msg;
    while( GetMessage( &msg, NULL, 0, 0 ) )
    {
        if( TranslateAccelerator( wnd.m_hWnd, haccel, &msg) )
            continue;
        TranslateMessage( &msg );
        DispatchMessage( &msg );
    }
    return (int) msg.wParam;
}
